Attribute VB_Name = "DLLDef"
'-----------------------------------------------------------------
' Aisa59.bas
' aISA-M59 Win32 API.
'
' Copyright(C)ADTEK SYSTEM SCIECEN Co.,Ltd.
'-----------------------------------------------------------------

Option Explicit

'-----------------------------------------------------------------
' Error code
'-----------------------------------------------------------------
Global Const AISA59_SUCCESS = 0                 ' ُȂiIj
Global Const AISA59_ERR_SYSTEM = 1              ' VXeG[
Global Const AISA59_ERR_NO_DEVICE = 2           ' gp\ȃfoCX܂
Global Const AISA59_ERR_IN_USE = 3              ' w̃foCX͎gpł
Global Const AISA59_ERR_INVALID_SLOT = 4        ' Ș_Xbgł
Global Const AISA59_ERR_RESOURCE = 5            ' \[XG[
Global Const AISA59_ERR_INVALID_PORT = 6        ' sȃ|[gv
Global Const AISA59_ERR_INVALID_ARGUMENT = 7    ' sȈv܂
Global Const AISA59_ERR_INVALID_AXIS = 50       ' Ȑ䎲v
Global Const AISA59_ERR_INVALID_CMD = 51        ' ȃR}hv
Global Const AISA59_ERR_INVALID_SIG = 52        ' ȃVOił
Global Const AISA59_ERR_INVALID_MODE = 53       ' ȃ[hł
'-----------------------------------------------------------------
' Axis
'-----------------------------------------------------------------
Global Const AISA59_AXIS_1 = 0
Global Const AISA59_AXIS_2 = 1
Global Const AISA59_AXIS_3 = 2
Global Const AISA59_AXIS_4 = 3
'-----------------------------------------------------------------
' Write command
'-----------------------------------------------------------------
Global Const AISA59_RANGE_WRITE = &H0
Global Const AISA59_START_STOP_SPEED_DATA_WRITE = &H2
Global Const AISA59_OBJECT_SPEED_DATA_WRITE = &H4
Global Const AISA59_RATE1_DATA_WRITE = &H6
Global Const AISA59_RATE2_DATA_WRITE = &H8
Global Const AISA59_RATE3_DATA_WRITE = &HA
Global Const AISA59_RATE_CHANGE_POINT_1_2_WRITE = &HC
Global Const AISA59_RATE_CHANGE_POINT_2_3_WRITE = &HE
Global Const AISA59_SLOW_DOWN_REAR_PULSE_WRITE = &H10
Global Const AISA59_PRESET_PULSE_DATA_OVERRIDE = &H14
Global Const AISA59_INTERNAL_COUNTER_WRITE = &H28
Global Const AISA59_INTERNAL_COMPARATE_DATA_WRITE = &H2A
Global Const AISA59_EXTERNAL_COUNTER_WRITE = &H2C
Global Const AISA59_EXTERNAL_COMPARATE_DATA_WRITE = &H2D
'-----------------------------------------------------------------
' Read command
'-----------------------------------------------------------------
Global Const AISA59_RANGE_READ = &H1
Global Const AISA59_START_STOP_SPEED_DATA_READ = &H3
Global Const AISA59_OBJECT_SPEED_DATA_READ = &H5
Global Const AISA59_RATE1_DATA_READ = &H7
Global Const AISA59_RATE2_DATA_READ = &H9
Global Const AISA59_RATE3_DATA_READ = &HB
Global Const AISA59_RATE_CHANGE_POINT_1_2_READ = &HD
Global Const AISA59_RATE_CHANGE_POINT_2_3_READ = &HF
Global Const AISA59_SLOW_DOWN_REAR_PULSE_READ = &H11
Global Const AISA59_NOW_SPEED_DATA_READ = &H12
Global Const AISA59_DRIVE_PULSE_COUNTER_READ = &H13
Global Const AISA59_PRESET_PULSE_DATA_READ = &H15
Global Const AISA59_DEVIATION_DATA_READ = &H16
Global Const AISA59_INTERNAL_COUNTER_READ = &H29
Global Const AISA59_INTERNAL_COMPARATE_DATA_READ = &H2B
Global Const AISA59_EXTERNAL_COUNTER_READ = &H2D
Global Const AISA59_EXTERNAL_COMPARATE_DATA_READ = &H2F
'-----------------------------------------------------------------
' Drive command
'-----------------------------------------------------------------
Global Const AISA59_PLUS_PRESET_PULSE_DRIVE = &H20
Global Const AISA59_MINUS_PRESET_PULSE_DRIVE = &H21
Global Const AISA59_PLUS_CONTINUOUS_DRIVE = &H22
Global Const AISA59_MINUS_CONTINUOUS_DRIVE = &H23
Global Const AISA59_PLUS_SIGNAL_SEARCH1_DRIVE = &H24
Global Const AISA59_MINUS_SIGNAL_SEARCH1_DRIVE = &H25
Global Const AISA59_PLUS_SIGNAL_SEARCH2_DRIVE = &H26
Global Const AISA59_MINUS_SIGNAL_SEARCH2_DRIVE = &H27
'-----------------------------------------------------------------
' Misc command
'-----------------------------------------------------------------
Global Const AISA59_NO_OPERATION = &H17
Global Const AISA59_INPOSITION_WAIT_MODE_SET = &H18
Global Const AISA59_INPOSITION_WAIT_MODE_RESET = &H19
Global Const AISA59_ALARM_STOP_ENABLE_MODE_SET = &H1A
Global Const AISA59_ALARM_STOP_ENABLE_MODE_RESET = &H1B
Global Const AISA59_INTERRUPT_OUT_ENABLE_MODE_SET = &H1C
Global Const AISA59_INTERRUPT_OUT_ENABLE_MODE_RESET = &H1D
Global Const AISA59_SLOW_DOWN_STOP = &H1E
Global Const AISA59_EMERGENCY_STOP = &H1F
'-----------------------------------------------------------------
' Misc
'-----------------------------------------------------------------
Global Const AISA59_SLOT_AUTO = &HFFFF
Global Const AISA59_MAX_SLOTS = 16
'-----------------------------------------------------------------
' Resoucer information
'-----------------------------------------------------------------
Global Const AISA59_MAX_MEM = 9
Global Const AISA59_MAX_IO = 20
Global Const AISA59_MAX_IRQ = 7
Global Const AISA59_MAX_DMA = 7
Type AISA59RESOURCE
    dwNumMemWindows As Long                       ' EBhE
    dwMemBase(1 To AISA59_MAX_MEM) As Long        ' EBhEJnAhX
    dwMemLength(1 To AISA59_MAX_MEM) As Long      ' EBhE
    dwMemAttrib(1 To AISA59_MAX_MEM) As Long      ' EBhE
    dwNumIOPorts As Long                          ' I/O|[g
    dwIOPortBase(1 To AISA59_MAX_IO) As Long      ' I/O|[gJnAhX
    dwIOPortLength(1 To AISA59_MAX_IO) As Long    ' I/O|[g
    dwNumIRQs As Long                             ' IRQ
    dwIRQRegisters(1 To AISA59_MAX_IRQ) As Long   ' IRQԍ
    dwIRQAttrib(1 To AISA59_MAX_IRQ) As Long      ' IRQ
    dwNumDMAs As Long                             ' DMA`l
    dwDMALst(1 To AISA59_MAX_DMA) As Long         ' DMA`l
    dwDMAAttrib(1 To AISA59_MAX_DMA) As Long      ' DMA`l
    dwReserved1(1 To 3) As Long                   ' \
End Type
'-----------------------------------------------------------------
' API Functions
'-----------------------------------------------------------------

Public Declare Function Aisa59GetVersion Lib "Aisa59" (ByRef pdwDllVer As Long, ByRef pdwDrvVer As Long) As Long
Public Declare Function Aisa59Create Lib "Aisa59" (ByRef pwLogSlot As Integer) As Long
Public Declare Function Aisa59Close Lib "Aisa59" (ByVal wLogSlot As Integer) As Long
Public Declare Function Aisa59GetResource Lib "Aisa59" (ByVal wLogSlot As Integer, ByRef pres As AISA59RESOURCE) As Long
Public Declare Function Aisa59InPort Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByRef pbData As Byte) As Long
Public Declare Function Aisa59OutPort Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByVal bData As Byte) As Long
Public Declare Function Aisa59GetLastError Lib "Aisa59" (ByVal wLogSlot As Integer) As Long
Public Declare Function Aisa59GetDriveStatus Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Long
Public Declare Function Aisa59GetEndStatus Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Long
Public Declare Function Aisa59GetMechanicalSignal Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Long
Public Declare Function Aisa59GetUniversalSignal Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Long
Public Declare Function Aisa59Mode1Write Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Long
Public Declare Function Aisa59Mode2Write Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Long
Public Declare Function Aisa59UniversalSignalWrite Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bSignal As Byte) As Long
Public Declare Function Aisa59DataHalfRead Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pwData As Integer) As Long
Public Declare Function Aisa59DataFullRead Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pdwData As Long) As Long
Public Declare Function Aisa59CommandWrite Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte) As Long
Public Declare Function Aisa59DataHalfWrite Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pwData As Integer) As Long
Public Declare Function Aisa59DataFullWrite Lib "Aisa59" (ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pdwData As Long) As Long


















