Attribute VB_Name = "Wrapper"
'===================================================================
' Aisa59w.bas
'
' aISA-M59
'
' Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
' Date Dec.1998
'
'===================================================================
Option Explicit
Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long

Global Const AISA59_DLL_NAME = "Aisa59.dll"     ' DLL
Dim hDLL As Long                                ' DLLւ̃nh
Global Const AISA59_ERR_WRAPDLL = -1            ' bp[֐G[

'===================================================================
'       Aisa59.dll [h
'       
' ߂l  True
'        s False
'===================================================================
Function Aisa59wDllOpen() As Boolean
    Aisa59wDllOpen = False
    If hDLL <> 0 Then Exit Function
    hDLL = LoadLibrary(AISA59_DLL_NAME)
    If hDLL = 0 Then Exit Function
    If Aisa59wGetDllExportFunc() = False Then
        Aisa59wDllClose     ' DLL GNX|[g֐LmFɎŝŁADLL N[Y
        Exit Function
    End If
    Aisa59wDllOpen = True
End Function
'===================================================================
'       Aisa59.dllA[h
'       
' ߂l  True
'        s False
'===================================================================
Function Aisa59wDllClose() As Boolean
    Aisa59wDllClose = True
    If hDLL = 0 Then Exit Function
    If FreeLibrary(hDLL) <> 0 Then hDLL = 0 Else Aisa59wDllClose = False
End Function
'===================================================================
'    o[Wԍ擾
'    pdwDllVer  DLLo[Wԍi[
'        pdwDrvVer  DRVo[Wԍi[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wGetVersion(ByRef pdwDllVer As Long, ByRef pdwDrvVer As Long) As Boolean
    Aisa59wGetVersion = False
    If hDLL = 0 Then Exit Function
    If Aisa59GetVersion(pdwDllVer, pdwDrvVer) = 0 Then Exit Function
    Aisa59wGetVersion = True
End Function
'===================================================================
'    foCX̎gp錾
'    pwLogSlot gpfoCXi[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wCreate(ByRef pwLogSlot As Integer) As Boolean
    Aisa59wCreate = False
    If hDLL = 0 Then Exit Function
    If Aisa59Create(pwLogSlot) = 0 Then Exit Function
    Aisa59wCreate = True
End Function
'===================================================================
'    foCX̊J
'    wLogSlot   gpfoCX
' ߂l  True
'        s False
'===================================================================
Function Aisa59wClose(ByVal wLogSlot As Integer) As Long
    Aisa59wClose = False
    If hDLL = 0 Then Exit Function
    If Aisa59Close(wLogSlot) = 0 Then Exit Function
    Aisa59wClose = True
End Function
'===================================================================
'    wfoCX̃\[X擾
'    wLogSlot   foCX
'        pres       \[Xi[\
' ߂l  True
'        s False
'===================================================================
Function Aisa59wGetResource(ByVal wLogSlot As Integer, ByRef pres As AISA59RESOURCE) As Boolean
    Aisa59wGetResource = False
    If hDLL = 0 Then Exit Function
    If Aisa59GetResource(wLogSlot, pres) = 0 Then Exit Function
    Aisa59wGetResource = True
End Function
'===================================================================
'    wfoCXɑ΂ǂݍݎs
'    wLogSlot       foCX
'        wAxis          Ώې䎲
'        wPort          |[gԍiO`Vj
'        pbData         ̓f[^i[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wInPort(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByRef pbData As Byte) As Boolean
    Aisa59wInPort = False
    If hDLL = 0 Then Exit Function
    If Aisa59InPort(wLogSlot, wAxis, wPort, pbData) = 0 Then Exit Function
    Aisa59wInPort = True
End Function
'===================================================================
'    wfoCXɑ΂ݎs
'    wLogSlot       foCX
'        wAxis          Ώې䎲
'        wPort          |[gԍiO`Vj
'        bData          o̓f[^
' ߂l  True
'        s False
'===================================================================
Function Aisa59wOutPort(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal wPort As Integer, ByVal bData As Byte) As Boolean
    Aisa59wOutPort = False
    If hDLL = 0 Then Exit Function
    If Aisa59OutPort(wLogSlot, wAxis, wPort, bData) = 0 Then Exit Function
    Aisa59wOutPort = True
End Function
'===================================================================
'    G[R[h擾
'    wLogSlot       foCX
' ߂l  True
'        s False
'===================================================================
Function Aisa59wGetLastError(ByVal wLogSlot As Integer) As Long
    Aisa59wGetLastError = AISA59_ERR_WRAPDLL
    If hDLL = 0 Then Exit Function
    Aisa59wGetLastError = Aisa59GetLastError(wLogSlot)
End Function
'===================================================================
'    hCuXe[^X擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbStatus   Xe[^Xi[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wGetDriveStatus(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Boolean
    Aisa59wGetDriveStatus = False
    If hDLL = 0 Then Exit Function
    If Aisa59GetDriveStatus(wLogSlot, wAxis, pbStatus) = 0 Then Exit Function
    Aisa59wGetDriveStatus = True
End Function
'===================================================================
'    GhXe[^X擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbStatus   Xe[^Xi[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wGetEndStatus(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbStatus As Byte) As Boolean
    Aisa59wGetEndStatus = False
    If hDLL = 0 Then Exit Function
    If Aisa59GetEndStatus(wLogSlot, wAxis, pbStatus) = 0 Then Exit Function
    Aisa59wGetEndStatus = True
End Function
'===================================================================
'    JjJVOi擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbSignal   VOii[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wGetMechanicalSignal(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Boolean
    Aisa59wGetMechanicalSignal = False
    If hDLL = 0 Then Exit Function
    If Aisa59GetMechanicalSignal(wLogSlot, wAxis, pbSignal) = 0 Then Exit Function
    Aisa59wGetMechanicalSignal = True
End Function
'===================================================================
'    jo[TVOi擾
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        pbSignal   VOii[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wGetUniversalSignal(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByRef pbSignal As Byte) As Boolean
    Aisa59wGetUniversalSignal = False
    If hDLL = 0 Then Exit Function
    If Aisa59GetUniversalSignal(wLogSlot, wAxis, pbSignal) = 0 Then Exit Function
    Aisa59wGetUniversalSignal = True
End Function
'===================================================================
'    [hP
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bMode      [hl
' ߂l  True
'        s False
'===================================================================
Function Aisa59wMode1Write(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Boolean
    Aisa59wMode1Write = False
    If hDLL = 0 Then Exit Function
    If Aisa59Mode1Write(wLogSlot, wAxis, bMode) = 0 Then Exit Function
    Aisa59wMode1Write = True
End Function
'===================================================================
'    [hQ
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bMode      [hl
' ߂l  True
'        s False
'===================================================================
Function Aisa59wMode2Write(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bMode As Byte) As Boolean
    Aisa59wMode2Write = False
    If hDLL = 0 Then Exit Function
    If Aisa59Mode2Write(wLogSlot, wAxis, bMode) = 0 Then Exit Function
    Aisa59wMode2Write = True
End Function
'===================================================================
'    jo[TVOi
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bSignal    VOil
' ߂l  True
'        s False
'===================================================================
Function Aisa59wUniversalSignalWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bSignal As Byte) As Boolean
    Aisa59wUniversalSignalWrite = False
    If hDLL = 0 Then Exit Function
    If Aisa59UniversalSignalWrite(wLogSlot, wAxis, bSignal) = 0 Then Exit Function
    Aisa59wUniversalSignalWrite = True
End Function
'===================================================================
'    QoCgf[^ǂݍ
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        pwData     f[^i[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wDataHalfRead(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pwData As Integer) As Boolean
    Aisa59wDataHalfRead = False
    If hDLL = 0 Then Exit Function
    If Aisa59DataHalfRead(wLogSlot, wAxis, bCmd, pwData) = 0 Then Exit Function
    Aisa59wDataHalfRead = True
End Function
'===================================================================
'    SoCgf[^ǂݍ
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        pdwData    f[^i[
' ߂l  True
'        s False
'===================================================================
Function Aisa59wDataFullRead(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByRef pdwData As Long) As Boolean
    Aisa59wDataFullRead = False
    If hDLL = 0 Then Exit Function
    If Aisa59DataFullRead(wLogSlot, wAxis, bCmd, pdwData) = 0 Then Exit Function
    Aisa59wDataFullRead = True
End Function
'===================================================================
'    R}h
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
' ߂l  True
'        s False
'===================================================================
Function Aisa59wCommandWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte) As Boolean
    Aisa59wCommandWrite = False
    If hDLL = 0 Then Exit Function
    If Aisa59CommandWrite(wLogSlot, wAxis, bCmd) = 0 Then Exit Function
    Aisa59wCommandWrite = True
End Function
'===================================================================
'    QoCgf[^
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        wData     f[^
' ߂l  True
'        s False
'===================================================================
Function Aisa59wDataHalfWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pwData As Integer) As Boolean
    Aisa59wDataHalfWrite = False
    If hDLL = 0 Then Exit Function
    If Aisa59DataHalfWrite(wLogSlot, wAxis, bCmd, pwData) = 0 Then Exit Function
    Aisa59wDataHalfWrite = True
End Function
'===================================================================
'    SoCgf[^
'    wLogSlot   foCX
'        wAxis      Ώې䎲
'        bCmd       R}h
'        dwData     f[^
' ߂l  True
'        s False
'===================================================================
Function Aisa59wDataFullWrite(ByVal wLogSlot As Integer, ByVal wAxis As Integer, ByVal bCmd As Byte, ByVal pdwData As Long) As Boolean
    Aisa59wDataFullWrite = False
    If hDLL = 0 Then Exit Function
    If Aisa59DataFullWrite(wLogSlot, wAxis, bCmd, pdwData) = 0 Then Exit Function
    Aisa59wDataFullWrite = True
End Function
'-------------------------------------------------------------------
'    DLLGNX|[g֐AhX̎擾
'    
' ߂l  True
'        s False
'-------------------------------------------------------------------
Private Function Aisa59wGetDllExportFunc() As Boolean
    Dim pFunc As Long

    Aisa59wGetDllExportFunc = False

    pFunc = GetProcAddress(hDLL, "Aisa59GetVersion")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59GetVersion")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59Create")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59Close")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59GetResource")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59InPort")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59OutPort")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59GetLastError")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59GetDriveStatus")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59GetEndStatus")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59GetMechanicalSignal")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59GetUniversalSignal")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59Mode1Write")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59Mode2Write")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59UniversalSignalWrite")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59DataHalfRead")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59DataFullRead")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59CommandWrite")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59DataHalfWrite")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Aisa59DataFullWrite")
    If pFunc = 0 Then Exit Function

    Aisa59wGetDllExportFunc = True ' SĂ DLL GNX|[g֐݂̑mF

End Function











